package com.lovecoding.day04;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo07
 * @description 数列求和（正负交替）
 *  求数列 1 - 1/2 + 1/3 - 1/4 + ... 前 10 项的和并输出（结果保留两位小数）。
 * @create 2026/7/10
 */
public class Demo07 {
    public static void main(String[] args) {
        double sum=0;
        for (int i = 1; i <=10; i++) {
            if (i % 2 ==1){
                sum+=1.0/i; //奇数项为正     加  1 +   1/3 +   1/5 + 1/7   + 1/9
            }else {
                sum-=1.0/i; //偶数项为负     减  1- 1/2 - 1/4 - 1/6 - 1/8 - 1/10
            }
        }
        System.out.printf("%.2f",sum);
    }
}
